Skip to main content
`Ctrl`+`K`
scipy.fftpack.

# idst

scipy.fftpack.idst(x, type=2, n=None, axis=-1, norm=None, overwrite_x=False)

  Return the Inverse Discrete Sine Transform of an arbitrary type sequence.

  Parameters:
    x array_like

      The input array.

    type{1, 2, 3, 4}, optional

      Type of the DST (see Notes). Default type is 2.

    n int, optional

      Length of the transform. If `n < x.shape[axis]`, x is truncated. If `n > x.shape[axis]`, x is zero-padded. The default results in `n = x.shape[axis]`.

    axis int, optional

      Axis along which the idst is computed; the default is over the last axis (i.e., `axis=-1`).

    norm{None, ‘ortho’}, optional

      Normalization mode (see Notes). Default is None.

    overwrite_x bool, optional

      If True, the contents of x can be destroyed; the default is False.

  Returns:
    idst ndarray of real

      The transformed input array.

  See also

  `dst`

    Forward DST

  Notes

  ‘The’ IDST is the IDST of type 2, which is the same as DST of type 3.

  IDST of type 1 is the DST of type 1, IDST of type 2 is the DST of type 3, and IDST of type 3 is the DST of type 2. For the definition of these types, see `dst`.

  Added in version 0.11.0.